All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Class TextEditComposite

    com.sas.visuals.TextEditComposite

All Implemented Interfaces:
  CompositeInterface, ContainerInterface, com.sas.awt.print.PrintableInterface, VisualInterface, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.ComponentInterface, com.sas.DesignTimeDropTargetInterface, com.sas.lang.StringDataInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, ValidatorInterface, com.sas.ViewInterface, MultipleValueEventSourceInterface, java.awt.event.ActionListener, java.awt.event.FocusListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener

    public class TextEditComposite

implements java.awt.event.ActionListener, java.awt.event.FocusListener, com.sas.lang.StringDataInterface

See Also:
  Serialized Form

Field Summary
`protected java.awt.Component` | `defaultTextCard`
`protected boolean` | `editable`
`protected java.awt.Component` | `textEditCard`
`protected java.awt.Component` | `textViewCard`

Fields inherited from class com.sas.visuals.CompositeContainer
`RB_KEY`

Constructor Summary
`TextEditComposite()`
`TextEditComposite(java.lang.String defaultViewText)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent event)`
`protected void` | `createComponents()`
`void` | `focusGained(java.awt.event.FocusEvent event)`
`void` | `focusLost(java.awt.event.FocusEvent event)`
`static int` | `getDefaultHeight()` Return the default height
`java.awt.Component` | `getDefaultViewComponent()`
`java.lang.String` | `getDefaultViewText()`
`static int` | `getDefaultWidth()` Return the default width
`java.util.Vector` | `getRequiredInterfaces()` Returns the required interfaces Vector for this component.
`java.lang.String` | `getText()`
`java.awt.Component` | `getTextEditComponent()`
`java.awt.Component` | `getTextViewComponent()`
`protected void` | `initializeButton(PushButton btn, java.lang.String text, java.awt.Color background, java.awt.Color foreground)`
`boolean` | `isEditable()`
`protected void` | `layoutComponents()`
`void` | `propertyChange(java.beans.PropertyChangeEvent event)` Handles any property links on this component from the source component.
`static void` | `setDefaultHeight(int newDefaultHeight)` Set the default height
`void` | `setDefaultValues()` Sets default values which are different than the parent classes.
`void` | `setDefaultViewText(java.lang.String defaultText)`
`static void` | `setDefaultWidth(int newDefaultWidth)` Set the default width
`void` | `setEditable(boolean edit)`
`void` | `setEnabled(boolean enabled)` setEnabled() is the set accessor method for the Enabled attribute.
`void` | `setText(java.lang.String text)`

Methods inherited from class com.sas.visuals.CompositeContainer
`getExtendedBeanInfo`

Methods inherited from class com.sas.awt.ContainerContainerComponent
`addNotify, clone, dragEnter, dragLeave, dragOver, drop, getContainerInterfaceSupportInfo, getErrorHandler, getInsets, getValidator, isIDEDnDDropBarrier, isIDEDnDDropTarget, isValid, removeNotify, setContainerInterfaceSupportInfo, setErrorHandler, setIDEDnDDropBarrier, setIDEDnDDropTarget, setInsets, setInsets, setValidator, superAddNotify, superGetInsets, superRemoveNotify, superSetDefaultValues`

Methods inherited from class com.sas.awt.ContainerVisualComponent
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, computePreferredSize, detachModel, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getBackgroundColor, getBorder, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getFont, getForegroundColor, getHeight, getHorizontalPosition, getLinkInfo, getMinimumSize, getModelInterface, getPageBounds, getPreferredSize, getPrePainter, getPrintOptionsPanel, getVerticalPosition, getViewInterfaceSupportInfo, getVisualInterfaceSupportInfo, getWidth, initialize, initializeComponent, isDesignTime, isEnabled, isFocus, isLinked, isTransparent, isVisible, pageExists, paint, print, printFinalize, printInitialize, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setBackgroundColor, setBorder, setBounds, setComponentDescription, setComponentSupportInfo, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setLinkInfo, setModelInterface, setPreferredSize, setPrePainter, setRequiredInterfaces, setTransparent, setVerticalPosition, setViewInterfaceSupportInfo, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, update, validateObject`

Methods inherited from interface com.sas.awt.ContainerInterface
`getComponents, getLayout, invalidate, setLayout, validate`

Methods inherited from interface com.sas.awt.VisualInterface
`computePreferredSize, getBackgroundColor, getBorder, getFont, getForegroundColor, getHeight, getHorizontalPosition, getMinimumSize, getPreferredSize, getPrePainter, getVerticalPosition, getVisualInterfaceSupportInfo, getWidth, isEnabled, isFocus, isTransparent, isVisible, setBackgroundColor, setBorder, setBounds, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setPreferredSize, setPrePainter, setTransparent, setVerticalPosition, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate`

Field Detail

### defaultTextCard

    protected java.awt.Component defaultTextCard

### textViewCard

    protected java.awt.Component textViewCard

### textEditCard

    protected java.awt.Component textEditCard

### editable

    protected boolean editable

Constructor Detail

### TextEditComposite

    public TextEditComposite()

### TextEditComposite

    public TextEditComposite(java.lang.String defaultViewText)

Method Detail

### getDefaultWidth

    public static int getDefaultWidth()

  Return the default width

  Returns:
    default width

### setDefaultWidth

    public static void setDefaultWidth(int newDefaultWidth)

  Set the default width

  Parameters:
    `newDefaultWidth` - the new default width

### getDefaultHeight

    public static int getDefaultHeight()

  Return the default height

  Returns:
    default height

### setDefaultHeight

    public static void setDefaultHeight(int newDefaultHeight)

  Set the default height

  Parameters:
    `newDefaultHeight` - the new default height

### getDefaultViewComponent

    public java.awt.Component getDefaultViewComponent()

### getTextViewComponent

    public java.awt.Component getTextViewComponent()

### getTextEditComponent

    public java.awt.Component getTextEditComponent()

### getDefaultViewText

    public java.lang.String getDefaultViewText()

### getRequiredInterfaces

    public java.util.Vector getRequiredInterfaces()

  Returns the required interfaces Vector for this component.

  Specified by:
    `getRequiredInterfaces` in interface `com.sas.ViewInterface`
  Overrides:
    `getRequiredInterfaces` in class `ContainerVisualComponent`
  Returns:
    the required interfaces Vector for this component.
  See Also:
    `ViewInterface.getRequiredInterfaces()`

### getText

    public java.lang.String getText()

  Specified by:
    `getText` in interface `com.sas.lang.StringDataInterface`

### isEditable

    public boolean isEditable()

### setEditable

    public void setEditable(boolean edit)

### setDefaultViewText

    public void setDefaultViewText(java.lang.String defaultText)

### setEnabled

    public void setEnabled(boolean enabled)

  Description copied from interface: `VisualInterface`
  setEnabled() is the set accessor method for the Enabled attribute. Pass in true to enable the component. Pass in false to disable the component.

  Specified by:
    `setEnabled` in interface `VisualInterface`
  Overrides:
    `setEnabled` in class `ContainerVisualComponent`
  Parameters:
    `enabled` - Whether the component should be enabled.
  See Also:
    `VisualInterface.setEnabled(boolean)`

### setText

    public void setText(java.lang.String text)

  Specified by:
    `setText` in interface `com.sas.lang.StringDataInterface`

### setDefaultValues

    public void setDefaultValues()

  Description copied from class: `Container`
  Sets default values which are different than the parent classes.

  Specified by:
    `setDefaultValues` in interface `ContainerInterface`
  Specified by:
    `setDefaultValues` in interface `VisualInterface`
  Specified by:
    `setDefaultValues` in interface `com.sas.ComponentInterface`
  Overrides:
    `setDefaultValues` in class `CompositeContainer`
  See Also:
    `ContainerInterface.setDefaultValues()`

### createComponents

    protected void createComponents()

### layoutComponents

    protected void layoutComponents()

### initializeButton

    protected void initializeButton(PushButton btn,
                                    java.lang.String text,
                                    java.awt.Color background,
                                    java.awt.Color foreground)

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent event)

  Description copied from class: `ContainerVisualComponent`
  Handles any property links on this component from the source component.

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Overrides:
    `propertyChange` in class `ContainerVisualComponent`
  See Also:
    `PropertyChangeListener.propertyChange(java.beans.PropertyChangeEvent)`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent event)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### focusGained

    public void focusGained(java.awt.event.FocusEvent event)

  Specified by:
    `focusGained` in interface `java.awt.event.FocusListener`

### focusLost

    public void focusLost(java.awt.event.FocusEvent event)

  Specified by:
    `focusLost` in interface `java.awt.event.FocusListener`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.